Skip to main content
PATCH
Patch Provider Config

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

config_id
string<uuid>
required

Body

application/json

Patch payload for an existing provider configuration. Unset = unchanged.

api_key
string | null

New API key. Replaces the previously stored secret. Send an empty string to clear the key for keyless custom endpoints.

description
string | null

New description for the configuration.

Maximum string length: 1000
endpoint_url
string | null

New endpoint URL, or empty string to clear.

is_active
boolean | null

Activate or deactivate the configuration.

is_public
boolean | null

Toggle workspace-wide visibility.

name
string | null

New human-readable label for the configuration.

Required string length: 1 - 255

Response

Successful Response

created_at
string
required
created_by
string
required
endpoint_url
string | null
required
id
string
required
is_active
boolean
required
is_public
boolean
required
name
string
required
provider_spec_id
string
required
updated_at
string
required
workspace_id
string
required
model_instance_ids
string[]
provider_spec_key
string | null
provider_spec_name
string | null